/****************************************************************************************************

		IShParamUtilities.h
		Copyright: (c) 2002 Eovia Corp. All rights reserved.

		Author:	Pierre
		Date:	8/17/2006

****************************************************************************************************/

#ifndef __IShParamUtilities__
#define __IShParamUtilities__

#if CP_PRAGMA_ONCE
#pragma once
#endif

struct IExParamType;

MCDEFINE_GUID_H(IID_IShParamUtilities);


struct IShParamUtilities : public IMCUnknown
{
	virtual void			MCCOMAPI RegisterParamType(IExParamType* param) = 0;
	virtual void			MCCOMAPI AliasParamType(IDType aliasedType, IDType type) = 0;
	virtual void			MCCOMAPI UnregisterParamType(IExParamType* param) = 0;
	virtual IExParamType*	MCCOMAPI GetParamType(IDType type) = 0;
};

#endif
